/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 执行引擎版本
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-28 14:54:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "执行引擎版本")
public class CdEngineReleases extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_packageName = "packageName";
  public static final String KEY_releaseVersion = "releaseVersion";
  public static final String KEY_releaseTitle = "releaseTitle";
  public static final String KEY_releaseNote = "releaseNote";
  public static final String KEY_releaseBy = "releaseBy";
  public static final String KEY_releaseTime = "releaseTime";
  public static final String KEY_resourceId = "resourceId";
  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 更新包名称<br>
   */
  @ApiModelProperty("更新包名称")
  @Size(max = 128, message="更新包名称-packageName: 数据长度不能 > 128" )
  private String packageName;
  /**
   * 发行版本号<br>
   */
  @ApiModelProperty("发行版本号")
  @Size(max = 255, message="发行版本号-releaseVersion: 数据长度不能 > 255" )
  private String releaseVersion;
  /**
   * 发行标题<br>
   */
  @ApiModelProperty("发行标题")
  @Size(max = 128, message="发行标题-releaseTitle: 数据长度不能 > 128" )
  private String releaseTitle;
  /**
   * 发行内容<br>
   */
  @ApiModelProperty("发行内容")
  @Size(max = 500, message="发行内容-releaseNote: 数据长度不能 > 500" )
  private String releaseNote;
  /**
   * 发行人<br>
   */
  @ApiModelProperty("发行人")
  @Size(max = 32, message="发行人-releaseBy: 数据长度不能 > 32" )
  private String releaseBy;
  /**
   * 发行时间<br>
   */
  @ApiModelProperty("发行时间")
  private Date releaseTime;

  @ApiModelProperty("资源id")
  private String resourceId;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 更新包名称<br>
   */
  public String getPackageName()
  {
      return packageName;
    }

  /**
   * 更新包名称<br>
   *
   * @param packageName 更新包名称
   */
  public void setPackageName(String packageName)
  {
      this.packageName = packageName;
    }
  /**
   * 发行版本号<br>
   */
  public String getReleaseVersion()
  {
      return releaseVersion;
    }

  /**
   * 发行版本号<br>
   *
   * @param releaseVersion 发行版本号
   */
  public void setReleaseVersion(String releaseVersion)
  {
      this.releaseVersion = releaseVersion;
    }
  /**
   * 发行标题<br>
   */
  public String getReleaseTitle()
  {
      return releaseTitle;
    }

  /**
   * 发行标题<br>
   *
   * @param releaseTitle 发行标题
   */
  public void setReleaseTitle(String releaseTitle)
  {
      this.releaseTitle = releaseTitle;
    }
  /**
   * 发行内容<br>
   */
  public String getReleaseNote()
  {
      return releaseNote;
    }

  /**
   * 发行内容<br>
   *
   * @param releaseNote 发行内容
   */
  public void setReleaseNote(String releaseNote)
  {
      this.releaseNote = releaseNote;
    }
  /**
   * 发行人<br>
   */
  public String getReleaseBy()
  {
      return releaseBy;
    }

  /**
   * 发行人<br>
   *
   * @param releaseBy 发行人
   */
  public void setReleaseBy(String releaseBy)
  {
      this.releaseBy = releaseBy;
    }
  /**
   * 发行时间<br>
   */
  public Date getReleaseTime()
  {
      if(releaseTime != null)
    {
      return (Date)releaseTime.clone();
    }
    return null;
    }

  public String getResourceId() {
    return resourceId;
  }

  public void setResourceId(String resourceId) {
    this.resourceId = resourceId;
  }

  /**
   * 发行时间<br>
   *
   * @param releaseTime 发行时间
   */
  public void setReleaseTime(Date releaseTime)
  {
      if(releaseTime != null)
    {
      this.releaseTime = (Date)releaseTime.clone();
    }
    }

  public CdEngineReleases()
  {
  }

}
